sc::R12Amplitudes(3)

NAME
sc::R12Amplitudes - R12Amplitudes gives the amplitudes of some linear-R12-ansatz-related terms in wave function.

SYNOPSIS

#include <r12_amps.h>

Inherits sc::RefCount.

  Public Member Functions
R12Amplitudes (const RefSCMatrix &T2_aa, const RefSCMatrix &T2_ab, const RefSCMatrix &Rvv_aa, const RefSCMatrix &Rvv_ab, const RefSCMatrix &Roo_aa, const RefSCMatrix &Roo_ab, const RefSCMatrix &Rvo_aa, const RefSCMatrix &Rvo_ab, const RefSCMatrix &Rxo_aa, const RefSCMatrix &Rxo_ab)
const RefSCMatrix T2_aa () const
const RefSCMatrix T2_ab () const
const RefSCMatrix Rvv_aa () const
const RefSCMatrix Rvv_ab () const
const RefSCMatrix Roo_aa () const
const RefSCMatrix Roo_ab () const
const RefSCMatrix Rvo_aa () const
const RefSCMatrix Rvo_ab () const
const RefSCMatrix Rxo_aa () const
const RefSCMatrix Rxo_ab () const

Detailed Description

R12Amplitudes gives the amplitudes of some linear-R12-ansatz-related terms in wave function. The first-order wave function terms which result from linear R12 terms are: Fij (1) = Ckl ij ( r12 |kl> - 0.5 rab kl |ab> - 0.5 rmn kl |mn> - ram kl |am> - ra'm kl |a'm> ) where C are optimal first-order coefficients and r are antisymmetrized integrals over r12 operator. Indices a, b are virtual MOs; m,n are occupied MOs; i, j, k, l are active occupied MOs, a' is an RI basis index.

Author

Generated automatically by Doxygen for MPQC from the source code.